Subject: Re: [PATCH v2] combine-diff: don't override recursive flag in diff_tree_combined()

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Fri, 05 Sep 2025 17:37:03 +0200

On Fri, Sep 5, 2025, at 17:27, Junio C Hamano wrote:
> Toon Claes <[email-masked]> writes:
>
>> This patch is based on 'next' at 1ba7204a04 (Merge branch
>> 'kh/doc-markup-fixes' into next, 2025-09-03).
>
> Can't you be a bit more specific?  We usually say "do not build on
> 'next'", but what we really mean by that statement are
>
>  * Your topic may interact with some topics already in 'next', but
>    it is unlikely that you depend on _all_ of them.  If you are
>    willing to depend on a few selected topics (meaning: you accept
>    that you have to adjust your topic when they get updated, and you
>    accept that you cannot graduate before all of them graduate),
>    identify them and build on the result of a merge of these topics
>    into 'master'.  State how you constructed your base in your cover
>    letter.
>
>  * If you are truly depending on _everything_ in 'next', then stop.
>    Wait until all of them graduates, and then submit your topic
>    after that.

It seemed like Toon was applying the part in SubmittingPatches about
applying fixup patches on top of the series once the series is in
`next`.[1]  But then used `next` as the base instead of the series.

Of course that simple topic named kh/doc-markup-fixes is irrelevant to 
what he is fixing up.  ;)

† 1: “After the patches are merged to the 'next' branch,”

-- 
Kristoffer Haugsbakk